<template>
  <!-- Wrapping avec svn-pro-card -->
  <svn-pro-card
    :variant="'outlined'"
    :style="{
      borderColor: error ? themeColors.error : themeColors.borderColor,
    }"
    :class="size === ComponentSizes.default ? 'pa-6' : 'pa-5'"
    :clickable="false"
  >
    <div class="flex flex-col gap-4">
      <!-- Titre de l'évaluation -->
      <svn-pro-title h6 medium>{{ evaluationTitle }}</svn-pro-title>

      <!-- Sélection unique gérée par v-item-group avec disposition en deux colonnes maximum -->
      <v-item-group
        v-model="selectedEvaluationType"
        mandatory
        class="grid gap-3"
        :class="size === ComponentSizes.default ? 'grid-cols-2' : 'grid-cols-1'"
      >
        <!-- Affichage des boutons radio avec styles dynamiques -->
        <svn-pro-extended-radio-button
          v-for="evaluationItem in evaluationItems"
          :key="evaluationItem.type"
          :value="evaluationItem.type"
          :icon="evaluationItem.icon"
          :title="evaluationItem.title"
          :subtitle="evaluationItem.subtitle"
          :disabled="evaluationItem.disabled"
          class="w-full"
        />
      </v-item-group>

      <!-- Ajout du slot sous la sélection -->
      <div v-if="$slots.default">
        <slot></slot>
      </div>
    </div>
  </svn-pro-card>
</template>

<script setup>
import { EvaluationTypes, ComponentSizes } from '../../constants/types';
import SvnProExtendedRadioButton from '../button/SvnProExtendedRadioButton.vue';
import SvnProTitle from '../styles/SvnProTitle.vue';
import { ref } from 'vue';
import { useTheme } from 'vuetify'; // Import de l'API useTheme

import SvnProCard from './SvnProCard.vue';

const props = defineProps({
  evaluationTitle: String,
  evaluationItems: {
    type: Array,
    default: () => [
      {
        type: EvaluationTypes.SELF_ASSESSMENT,
        icon: 'noto:check-mark-button',
        title: 'Self-assessment',
        subtitle:
          'The learner must confirm they have fully understood the module before proceeding.',
      },
      {
        type: EvaluationTypes.QUIZ,
        icon: 'noto:red-question-mark',
        title: 'Quiz',
        subtitle:
          'The learner must pass the quiz with a score of 100% correct answers to successfully complete this section.',
      },
      {
        type: EvaluationTypes.FACE_TO_FACE,
        icon: 'noto:busts-in-silhouette',
        title: 'Face-to-face',
        subtitle:
          "The learner's answers will be evaluated in real time by an expert, ensuring accurate assessment and personalized feedback.",
      },
    ],
  },
  size: {
    type: String,
    default: ComponentSizes.default,
  },
  error: Boolean,
});

const selectedEvaluationType = ref(null);
// Utilisation du hook Vuetify pour accéder aux couleurs du thème
const theme = useTheme();

// On accède aux couleurs du thème, y compris la couleur d'erreur
const themeColors = {
  error: theme.current.value.colors.error,
  borderColor: theme.current.value.colors.borderColor, // Assure que cette variable est dans le thème
};
</script>

<style scoped>
.p-6 {
  padding: 24px;
}
</style>
